Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Interface DynamicMBean

All Known Subinterfaces:
  ModelMBean

All Known Implementing Classes:
  RequiredModelMBean, StandardMBean

public interface DynamicMBean

Defines the methods that should be implemented by a Dynamic MBean (MBean that exposes a dynamic management interface).

Author:
  Young Yang

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String attribute)` Obtains the value of a specific attribute of the Dynamic MBean.
`AttributeList` | `getAttributes(java.lang.String[] attributes)` Enables the values of several attributes of the Dynamic MBean.
`MBeanInfo` | `getMBeanInfo()` Provides the exposed attributes and actions of the Dynamic MBean using an MBeanInfo object.
`java.lang.Object` | `invoke(java.lang.String actionName, java.lang.Object[] params, java.lang.String[] signature)` Allows an action to be invoked on the Dynamic MBean.
`void` | `setAttribute(Attribute attribute)` Sets the value of a specific attribute of the Dynamic MBean
`AttributeList` | `setAttributes(AttributeList attributes)` Sets the values of several attributes of the Dynamic MBean

Method Detail

### getAttribute

    public java.lang.Object getAttribute(java.lang.String attribute)
                                  throws AttributeNotFoundException,
                                         MBeanException,
                                         ReflectionException

  Obtains the value of a specific attribute of the Dynamic MBean.

  Parameters:
    `attribute` - The name of the attribute to be retrieved
  Returns:
    The value of the attribute retrieved.
  Throws:
    `AttributeNotFoundException`
    `MBeanException` - Wraps a `java.lang.Exception` thrown by the MBean's getter.
    `ReflectionException` - Wraps a `java.lang.Exception` thrown while trying to invoke the getter.

### setAttribute

    public void setAttribute(Attribute attribute)
                      throws AttributeNotFoundException,
                             InvalidAttributeValueException,
                             MBeanException,
                             ReflectionException

  Sets the value of a specific attribute of the Dynamic MBean

  Parameters:
    `attribute` - The identification of the attribute to be set and the value it is to be set to.
  Throws:
    `AttributeNotFoundException`
    `InvalidAttributeValueException`
    `MBeanException` - Wraps a `java.lang.Exception` thrown by the MBean's setter.
    `ReflectionException` - Wraps a `java.lang.Exception` thrown while trying to invoke the MBean's setter.

### getAttributes

    public AttributeList getAttributes(java.lang.String[] attributes)

  Enables the values of several attributes of the Dynamic MBean.

  Parameters:
    `attributes` - A list of the attributes to be retrieved.
  Returns:
    The list of attributes retrieved.

### setAttributes

    public AttributeList setAttributes(AttributeList attributes)

  Sets the values of several attributes of the Dynamic MBean

  Parameters:
    `attributes` - A list of attributes: The identification of the attributes to be set and the values they are to be set to.
  Returns:
    The list of attributes that were set, with their new values.

### invoke

    public java.lang.Object invoke(java.lang.String actionName,
                                   java.lang.Object[] params,
                                   java.lang.String[] signature)
                            throws MBeanException,
                                   ReflectionException

  Allows an action to be invoked on the Dynamic MBean.

  Parameters:
    `actionName` - The name of the action to be invoked.
    `params` - An array containing the parameters to be set when the action is invoked.
    `signature` - An array containing the signature of the action. The class objects will be loaded through the same class loader as the one used for loading the MBean on which the action is invoked.
  Returns:
    The object returned by the action, which represents the result of invoking the action on the MBean specified.
  Throws:
    `MBeanException` - Wraps a `java.lang.Exception` thrown by the MBean's invoked method.
    `ReflectionException` - Wraps a `java.lang.Exception` thrown while trying to invoke the method

### getMBeanInfo

    public MBeanInfo getMBeanInfo()

  Provides the exposed attributes and actions of the Dynamic MBean using an MBeanInfo object.

  Returns:
    An instance of `MBeanInfo` allowing all attributes and actions exposed by this Dynamic MBean to be retrieved.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD